use axum::{Json, extract::State};
use serde_json::json;

use crate::state::AppState;

pub async fn get_capabilities(State(state): State<AppState>) -> Json<serde_json::Value> {
    Json(json!(state.service.get_capabilities().await))
}
